[med-svn] [Git][med-team/sigma-align][master] 2 commits: Add autopkgtests
Nilesh Patra
gitlab at salsa.debian.org
Thu Aug 27 07:42:39 BST 2020
Nilesh Patra pushed to branch master at Debian Med / sigma-align
Commits:
5481a3d5 by Nilesh Patra at 2020-08-27T12:07:31+05:30
Add autopkgtests
- - - - -
701cd067 by Nilesh Patra at 2020-08-27T12:10:29+05:30
Add hardening flags
- - - - -
3 changed files:
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test
Changes:
=====================================
debian/rules
=====================================
@@ -1,4 +1,7 @@
#!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildflags.mk
+
%:
dh $@
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,4 @@
+Tests: run-unit-test
+Depends: @, last-align
+Restrictions: allow-stderr
+
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+
+pkg=sigma-align
+PACKAGE=last-align
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp /usr/share/doc/${PACKAGE}/examples/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+for file in *.fa
+do
+ cat ${file} >> input.fa
+done
+
+sigma input.fa -C
+echo
+echo 'PASS'
+echo '--------------------------------'
View it on GitLab: https://salsa.debian.org/med-team/sigma-align/-/compare/06ad9df0e9e9f43741ab67ddc8cbefd135b1cb68...701cd067758423cd3647666caf15accd5cf693c6
--
View it on GitLab: https://salsa.debian.org/med-team/sigma-align/-/compare/06ad9df0e9e9f43741ab67ddc8cbefd135b1cb68...701cd067758423cd3647666caf15accd5cf693c6
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200827/ed00171b/attachment-0001.html>
More information about the debian-med-commit
mailing list